Subject: Re: Path name conversions, Posix --- Win32
From: [email-masked] (Earnie Boyd)

14 Jan 1998 17:18:08 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

I had asked a similar question in Sept.  It is also discussed in Oct.
Goto the mail archives sort by subject and look for subject of "pathname 
conversion" dated 22 Sep 1997.

>From: "Mark Hadfield" <[email-masked]>
>To: "Gnu-Win32 Mailing List" <[email-masked]>
>Subject: Path name conversions, Posix <-> Win32
>Date: Tue, 13 Jan 1998 10:22:09 +1300
>
>Where can I find command-line utilities for conversion between Cygwin32
>Posix-style and Win32 path names? Eg, a pair of utilities that work 
like
>this:
>
>bash$ echo //C/foo | win32path
>C:\foo
>bash$ echo C:\\foo | posixpath
>//C/foo
>
>I know it's not too difficult to implement this via string substitution 
in
>awk or bash. (The above examples are real output, produced by a pair of
>Python scripts that I wrote.) What I really want is something that 
knows
>about Cygwin32 mounts, eg:
>
>bash$ mount D: /cdrom
>bash$ echo D:\\foo | posixpath
>/cdrom/foo
>bash$ echo /cdrom/foo | win32path
>D:\foo
>
>Obviously this functionality is built into Cygwin32, but I don't know 
of any
>simple way to access it at the command line.
>
>----
>Mark Hadfield,  [email-masked]
>National Institute for Water and Atmospheric Research
>PO Box 14-901, Wellington, New Zealand
>
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".